Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.behaviors
Class Pooled.PoolException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.picocontainer.PicoCompositionException
                          org.picocontainer.gems.behaviors.Pooled.PoolException

All Implemented Interfaces:
  Serializable

Enclosing class:
  Pooled<T>

    public static class Pooled.PoolException

extends org.picocontainer.PicoCompositionException

Exception thrown from the Pooled. Only thrown if the interaction with the internal pool fails.

Author:
  Jörg Schaible
See Also:
  Serialized Form

Constructor Summary
`Pooled.PoolException(String message)` Construct a PoolException with an explaining message.
`Pooled.PoolException(String message, Throwable cause)` Construct a PoolException with an explaining message and a originalting cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pooled.PoolException

    public Pooled.PoolException(String message,
                                Throwable cause)

  Construct a PoolException with an explaining message and a originalting cause.

  Parameters:
    `message` - the explaining message
    `cause` - the originating cause

### Pooled.PoolException

    public Pooled.PoolException(String message)

  Construct a PoolException with an explaining message.

  Parameters:
    `message` - the explaining message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.